<?xml version="1.0" encoding="UTF-8" standalone="no"?><wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:sch="http://simtem.at.gov.pt/WS/AirTraders" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:tns="http://simtem.at.gov.pt/WS/AirTraders" targetNamespace="http://simtem.at.gov.pt/WS/AirTraders">
    <wsdl:types>
        <xs:schema xmlns:ns="http://simtem.at.gov.pt/WS/AirTraders" xmlns:xs="http://www.w3.org/2001/XMLSchema" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://simtem.at.gov.pt/WS/AirTraders">
<!-- submitMessages 
-->
            <xs:element name="submitMessagesRequest" type="ns:submitMessagesRequest"/>
            <xs:element name="submitMessagesResponse" type="ns:submitMessagesResponse"/>
            <xs:complexType name="submitMessagesRequest">
                <xs:sequence>
                    <xs:element name="sender" type="ns:EoriType">
                        <xs:annotation>
                            <xs:documentation>EORI number of the sender</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element maxOccurs="100" name="messages" type="xs:base64Binary">
                        <xs:annotation>
                            <xs:documentation>Messages content encoded in Base64</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="submitMessagesResponse">
                <xs:sequence>
                    <xs:element maxOccurs="100" name="return" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Response state for each message received</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>

<!-- retrieveNewOutputMessagesIds 
-->
            <xs:element name="retrieveNewOutputMessagesIdsRequest" type="ns:retrieveNewOutputMessagesIdsRequest"/>
            <xs:element name="retrieveNewOutputMessagesIdsResponse" type="ns:retrieveNewOutputMessagesIdsResponse"/>
            <xs:complexType name="retrieveNewOutputMessagesIdsRequest">
                <xs:sequence>
                    <xs:element name="receiver" type="ns:EoriType">
                        <xs:annotation>
                            <xs:documentation>EORI number of the receiver</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="retrieveNewOutputMessagesIdsResponse">
                <xs:sequence>
                    <xs:element maxOccurs="100" minOccurs="0" name="return" type="ns:MessageIdType">
                        <xs:annotation>
                            <xs:documentation>Messages Ids</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>

<!-- retrieveOutputMessagesByIds 
-->
            <xs:element name="retrieveOutputMessagesByIdsRequest" type="ns:retrieveOutputMessagesByIdsRequest"/>
            <xs:element name="retrieveOutputMessagesByIdsResponse" type="ns:retrieveOutputMessagesByIdsResponse"/>
            <xs:complexType name="retrieveOutputMessagesByIdsRequest">
                <xs:sequence>
                    <xs:element name="receiver" type="ns:EoriType">
                        <xs:annotation>
                            <xs:documentation>EORI number of the receiver</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element maxOccurs="100" name="outputMessagesIds" type="ns:MessageIdType">
                        <xs:annotation>
                            <xs:documentation>Messages Ids</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="retrieveOutputMessagesByIdsResponse">
                <xs:sequence>
                    <xs:element maxOccurs="100" minOccurs="0" name="return" type="xs:base64Binary">
                        <xs:annotation>
                            <xs:documentation>Messages content encoded in Base64</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>

<!-- getMeansOfTransportProcessState 
-->
            <xs:element name="getMeansOfTransportProcessStateRequest" type="ns:getMeansOfTransportProcessStateRequest"/>
            <xs:element name="getMeansOfTransportProcessStateResponse" type="ns:getMeansOfTransportProcessStateResponse"/>
            <xs:complexType name="getMeansOfTransportProcessStateRequest">
                <xs:sequence>
                    <xs:element name="requester" type="ns:EoriType">
                        <xs:annotation>
                            <xs:documentation>EORI number of the requester</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="customsReferenceNumber" type="ns:n14">
                        <xs:annotation>
                            <xs:documentation>Means Of Transport Customs Process Number</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="getMeansOfTransportProcessStateResponse">
                <xs:sequence>
                    <xs:element name="customsReferenceNumber" type="ns:n14">
                        <xs:annotation>
                            <xs:documentation>Means Of Transport Customs Process Number</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="state" type="ns:a3">
                        <xs:annotation>
                            <xs:documentation>State</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>

<!-- getManifestDeclarationState 
-->
            <xs:element name="getManifestDeclarationStateRequest" type="ns:getManifestDeclarationStateRequest"/>
            <xs:element name="getManifestDeclarationStateResponse" type="ns:getManifestDeclarationStateResponse"/>
            <xs:complexType name="getManifestDeclarationStateRequest">
                <xs:sequence>
                    <xs:element name="requester" type="ns:EoriType">
                        <xs:annotation>
                            <xs:documentation>EORI number of the requester</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="customsReferenceNumber" type="ns:n14">
                        <xs:annotation>
                            <xs:documentation>Means Of Transport Customs Process Number</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element maxOccurs="100" name="documentNumber" type="ns:an24">
                        <xs:annotation>
                            <xs:documentation>Document Number</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="getManifestDeclarationStateResponse">
                <xs:sequence>
                    <xs:element name="customsReferenceNumber" type="ns:n14">
                        <xs:annotation>
                            <xs:documentation>Means Of Transport Customs Process Number</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element maxOccurs="100" name="document" type="ns:document">
                        <xs:annotation>
                            <xs:documentation>Document</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="document">
                <xs:sequence>
                    <xs:element name="documentNumber" type="ns:an24">
                        <xs:annotation>
                            <xs:documentation>Document Number</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="state" type="ns:a3">
                        <xs:annotation>
                            <xs:documentation>Document State</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element maxOccurs="99999" name="goodsItem" type="ns:goodsItem">
                        <xs:annotation>
                            <xs:documentation>~Goods Item</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="goodsItem">
                <xs:sequence>
                    <xs:element name="customsItemNumber" type="ns:an29">
                        <xs:annotation>
                            <xs:documentation>Goods Item Number</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="goodsItemState" type="ns:a3">
                        <xs:annotation>
                            <xs:documentation>Goods Item State</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>

<!-- Types 
-->
            <xs:simpleType name="EoriType">
                <xs:annotation>
                    <xs:documentation>EORI number (can include organic user)</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:maxLength value="22"/>
                    <xs:pattern value="[A-Z]{2}.{1,15}(\/\d{1,4})?"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="MessageIdType">
                <xs:annotation>
                    <xs:documentation>Message identification number</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:maxLength value="36"/>
                    <xs:pattern value=".{1,36}"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="n14">
                <xs:annotation>
                    <xs:documentation xml:lang="en">Numeric (fixed length 14)</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:pattern value="\d{14,14}"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="a3">
                <xs:annotation>
                    <xs:documentation xml:lang="en">Alphabetic (fixed length 3)</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:minLength value="3"/>
                    <xs:maxLength value="3"/>
                    <xs:pattern value="[A-Z]*"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="an24">
                <xs:annotation>
                    <xs:documentation xml:lang="en">Alphanumeric (fixed length 24)</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:minLength value="24"/>
                    <xs:maxLength value="24"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="an29">
                <xs:annotation>
                    <xs:documentation xml:lang="en">Alphanumeric (fixed length 29)</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:minLength value="29"/>
                    <xs:maxLength value="29"/>
                </xs:restriction>
            </xs:simpleType>
        </xs:schema>
    </wsdl:types>
    <wsdl:message name="submitMessagesRequest">
        <wsdl:part element="tns:submitMessagesRequest" name="submitMessagesRequest"/>
    </wsdl:message>
    <wsdl:message name="submitMessagesResponse">
        <wsdl:part element="tns:submitMessagesResponse" name="submitMessagesResponse"/>
    </wsdl:message>
    <wsdl:message name="retrieveNewOutputMessagesIdsRequest">
        <wsdl:part element="tns:retrieveNewOutputMessagesIdsRequest" name="retrieveNewOutputMessagesIdsRequest"/>
    </wsdl:message>
    <wsdl:message name="retrieveNewOutputMessagesIdsResponse">
        <wsdl:part element="tns:retrieveNewOutputMessagesIdsResponse" name="retrieveNewOutputMessagesIdsResponse"/>
    </wsdl:message>
    <wsdl:message name="retrieveOutputMessagesByIdsRequest">
        <wsdl:part element="tns:retrieveOutputMessagesByIdsRequest" name="retrieveOutputMessagesByIdsRequest"/>
    </wsdl:message>
    <wsdl:message name="retrieveOutputMessagesByIdsResponse">
        <wsdl:part element="tns:retrieveOutputMessagesByIdsResponse" name="retrieveOutputMessagesByIdsResponse"/>
    </wsdl:message>
    <wsdl:message name="getMeansOfTransportProcessStateRequest">
        <wsdl:part element="tns:getMeansOfTransportProcessStateRequest" name="getMeansOfTransportProcessStateRequest"/>
    </wsdl:message>
    <wsdl:message name="getMeansOfTransportProcessStateResponse">
        <wsdl:part element="tns:getMeansOfTransportProcessStateResponse" name="getMeansOfTransportProcessStateResponse"/>
    </wsdl:message>
    <wsdl:message name="getManifestDeclarationStateRequest">
        <wsdl:part element="tns:getManifestDeclarationStateRequest" name="getManifestDeclarationStateRequest"/>
    </wsdl:message>
    <wsdl:message name="getManifestDeclarationStateResponse">
        <wsdl:part element="tns:getManifestDeclarationStateResponse" name="getManifestDeclarationStateResponse"/>
    </wsdl:message>
    <wsdl:portType name="WSAirTradersPort">
        <wsdl:operation name="submitMessages">
            <wsdl:input message="tns:submitMessagesRequest" name="submitMessagesRequest"/>
            <wsdl:output message="tns:submitMessagesResponse" name="submitMessagesResponse"/>
        </wsdl:operation>
        <wsdl:operation name="retrieveNewOutputMessagesIds">
            <wsdl:input message="tns:retrieveNewOutputMessagesIdsRequest" name="retrieveNewOutputMessagesIdsRequest"/>
            <wsdl:output message="tns:retrieveNewOutputMessagesIdsResponse" name="retrieveNewOutputMessagesIdsResponse"/>
        </wsdl:operation>
        <wsdl:operation name="retrieveOutputMessagesByIds">
            <wsdl:input message="tns:retrieveOutputMessagesByIdsRequest" name="retrieveOutputMessagesByIdsRequest"/>
            <wsdl:output message="tns:retrieveOutputMessagesByIdsResponse" name="retrieveOutputMessagesByIdsResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getMeansOfTransportProcessState">
            <wsdl:input message="tns:getMeansOfTransportProcessStateRequest" name="getMeansOfTransportProcessStateRequest"/>
            <wsdl:output message="tns:getMeansOfTransportProcessStateResponse" name="getMeansOfTransportProcessStateResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getManifestDeclarationState">
            <wsdl:input message="tns:getManifestDeclarationStateRequest" name="getManifestDeclarationStateRequest"/>
            <wsdl:output message="tns:getManifestDeclarationStateResponse" name="getManifestDeclarationStateResponse"/>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="WSAirTradersPortSoap12" type="tns:WSAirTradersPort">
        <soap12:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="submitMessages">
            <soap12:operation soapAction="" soapActionRequired="false"/>
            <wsdl:input name="submitMessagesRequest">
                <soap12:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="submitMessagesResponse">
                <soap12:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="retrieveNewOutputMessagesIds">
            <soap12:operation soapAction="" soapActionRequired="false"/>
            <wsdl:input name="retrieveNewOutputMessagesIdsRequest">
                <soap12:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="retrieveNewOutputMessagesIdsResponse">
                <soap12:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="retrieveOutputMessagesByIds">
            <soap12:operation soapAction="" soapActionRequired="false"/>
            <wsdl:input name="retrieveOutputMessagesByIdsRequest">
                <soap12:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="retrieveOutputMessagesByIdsResponse">
                <soap12:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getMeansOfTransportProcessState">
            <soap12:operation soapAction="" soapActionRequired="false"/>
            <wsdl:input name="getMeansOfTransportProcessStateRequest">
                <soap12:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getMeansOfTransportProcessStateResponse">
                <soap12:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getManifestDeclarationState">
            <soap12:operation soapAction="" soapActionRequired="false"/>
            <wsdl:input name="getManifestDeclarationStateRequest">
                <soap12:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getManifestDeclarationStateResponse">
                <soap12:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="WSAirTradersPortService">
        <wsdl:port binding="tns:WSAirTradersPortSoap12" name="WSAirTradersPortSoap12">
            <soap12:address location=""/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>